package com.muyu.many.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 统计条件
 *
 * @ClassName FaultInfoVo
 * @Author AnNan.Wang
 * @Date 2024/6/21 20:05
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FaultInfoVo {
    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH-mm-ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH-mm-ss")
    private Date endTime;
}
