package com.muyu.authentication.service;

import java.util.List;
import com.muyu.many.domain.DefectInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 故障码Service接口
 *
 * @author wan
 * @date 2024-06-20
 */
public interface DefectInfoService extends IService<DefectInfo> {
    /**
     * 查询故障码列表
     *
     * @param defectInfo 故障码
     * @return 故障码集合
     */
    public List<DefectInfo> list(DefectInfo defectInfo);

}
