package com.muyu.authentication.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.many.domain.Group;

import java.util.List;

/**
 * 围栏组Service接口
 *
 * @author wan
 * @date 2024-06-17
 */
public interface GroupService extends IService<Group> {
    /**
     * 查询围栏组列表
     *
     * @param group 围栏组
     * @return 围栏组集合
     */
    public List<Group> list(Group group);

}
