package com.muyu.many.domain.req;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 围栏组对象 group
 *
 * @author wan
 * @date 2024-06-17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GroupQueryReq", description = "围栏组")
public class GroupQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 围栏组名称 */
    @ApiModelProperty(name = "围栏组名称", value = "围栏组名称")
    private String groupName;

}
