package com.muyu.authentication.controller;

import com.muyu.authentication.service.ManyEnterpriseService;
import com.muyu.common.core.domain.Result;
import com.muyu.many.domain.Enterprise;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 用户登录 企业业务展示平台Controller
 *
 * @ClassName ManyEnterpriseController
 * @Author AnNan.Wang
 * @Date 2024/6/6 15:24
 */

@RestController
@RequestMapping("/manyEnterprise")
public class ManyEnterpriseController {
    @Autowired
    private ManyEnterpriseService manyEnterpriseService;

    @PostMapping("/AllList")
    public Result<List<Enterprise>> AllList(){
        return Result.success(
                manyEnterpriseService.AllList()
        );
    }

//    @PostMapping("/manyEnterpriseAdd")
//    public Result<String> manyEnterpriseAdd(@RequestBody Enterprise enterprise,@RequestHeader("ent_code")String key){
//        return Result.success(
//                manyEnterpriseService.manyEnterpriseAdd(enterprise,key)
//        );
//    }
}
