package com.muyu.authentication.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.many.domain.FaultInfo;
import com.muyu.many.domain.req.DefectInfoAndFaultInfoList;
import com.muyu.many.domain.vo.FaultInfoVo;

/**
 * 故障记录Service接口
 *
 * @author wan
 * @date 2024-06-20
 */
public interface FaultInfoService extends IService<FaultInfo> {
    /**
     * 查询故障记录列表
     *
     * @param faultInfo 故障记录
     * @return 故障记录集合
     */
    public List<FaultInfo> list(FaultInfo faultInfo);

    List<DefectInfoAndFaultInfoList> getDefectInfoAndFaultInfoList(FaultInfoVo faultInfoVo);
}
