package com.muyu.authentication.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.many.domain.Fence;
import com.muyu.many.domain.vo.FenceReq;

import java.util.List;

/**
 * 电子围栏Service接口
 *
 * @author wan
 * @date 2024-06-17
 */
public interface FenceService extends IService<Fence> {
    /**
     * 查询电子围栏列表
     *
     * @param fence 电子围栏
     * @return 电子围栏集合
     */
    public List<Fence> list(Fence fence);



    Result<String> IdAdd(FenceReq fenceReq);

}
