package com.muyu.authentication.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.many.domain.Vehicle;

import java.util.List;

/**
 * 车辆Service接口
 *
 * @author wan
 * @date 2024-06-17
 */
public interface VehicleService extends IService<Vehicle> {
    /**
     * 查询车辆列表
     *
     * @param vehicle 车辆
     * @return 车辆集合
     */
    public List<Vehicle> list(Vehicle vehicle);

}
